Debian Bug report logs - #523139
JVM crash

version graph

Package: librxtx-java; Maintainer for librxtx-java is Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for librxtx-java is src:rxtx.

Reported by: Marcus Andersson <kamratpost@gmail.com>

Date: Wed, 8 Apr 2009 17:54:01 UTC

Severity: grave

Tags: help

Found in version rxtx/2.1.7r2-4

Fixed in version rxtx/2.2pre2-1

Done: Scott Howard <showard314@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#523139; Package librxtx-java. (Wed, 08 Apr 2009 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Andersson <kamratpost@gmail.com>:
New Bug report received and forwarded. Copy sent to Mario Joussen <joussen@debian.org>. (Wed, 08 Apr 2009 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Andersson <kamratpost@gmail.com>
To: submit@bugs.debian.org
Subject: JVM crash
Date: Wed, 8 Apr 2009 19:53:20 +0200
[Message part 1 (text/plain, inline)]
Package: librxtx-java
Version: 2.1.7r2-4

linux-image-2.6.26-1-amd64 2.6.26-13lenny2
sun-java6-jdk 6-13-1

I run Arduino-015 (http://www.arduino.cc), which uses the serial port. When
I try to send something with the Arduino serial monitor, java vm crashes.

When I boot with kernel 2.6.21-1-multimedia-amd64 (from 64 Studio), the
serial communication works.

#
# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ffb486dbb72, pid=15144, tid=140717226527056
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (11.3-b02 mixed mode
linux-amd64)
# Problematic frame:
# C  [librxtxSerial-2.1-7.so+0x8b72]  Java_gnu_io_RXTXPort_nativeDrain+0xd2
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

---------------  T H R E A D  ---------------

Current thread (0x00007ffb4c3d7000):  JavaThread "AWT-EventQueue-0"
[_thread_in_native, id=15162, stack(0x00007ffb483d0000,0x00007ffb484d1000)]

siginfo:si_signo=SIGSEGV: si_errno=0, si_code=1 (SEGV_MAPERR),
si_addr=0x000000004802172c

Registers:
RAX=0x000000000000001c, RBX=0x00007ffb484ceb90, RCX=0x00007ffb486dd97f,
RDX=0x000000000000001b
RSP=0x00007ffb484ce9c0, RBP=0x0000000000000000, RSI=0x00007ffb486dd97e,
RDI=0x00007ffb484ceb90
R8 =0x00007ffb96fa0820, R9 =0x7efefefefefefeff, R10=0x8101010101010100,
R11=0x0000000000000000
R12=0x0000000000000104, R13=0x000000000000001b, R14=0x00007ffb4c3d71c0,
R15=0x0000000048021720
RIP=0x00007ffb486dbb72, EFL=0x0000000000010202, CSGSFS=0x0000000000000033,
ERR=0x0000000000000004
  TRAPNO=0x000000000000000e

Top of Stack: (sp=0x00007ffb484ce9c0)
0x00007ffb484ce9c0:   00007ffb484ce8e8 00007ffb484ceca0
0x00007ffb484ce9d0:   00007ffb484ce9b1 0000000800000002
0x00007ffb484ce9e0:   0000000040687600 00007ffb484cea40
0x00007ffb484ce9f0:   00007ffb484ceac0 00007ffb96a3d517
0x00007ffb484cea00:   00007ffb4c3d7000 00007ffb96a584f0
0x00007ffb484cea10:   00007ffb484cebc7 0000000040687078
0x00007ffb484cea20:   0000000040687088 0000000040687080
0x00007ffb484cea30:   00007ffb0000000b 00007ffb486dbaa0
0x00007ffb484cea40:   00007ffb96d48df0 0000005000000000
0x00007ffb484cea50:   0000000000000020 0000000000000000
0x00007ffb484cea60:   0000000000000000 0000000040687570
0x00007ffb484cea70:   0000000000000020 0000000000000100
0x00007ffb484cea80:   0000000000000000 0000000040687440
0x00007ffb484cea90:   0000000000000020 0000000040687078
0x00007ffb484ceaa0:   00007ffb4c3d7000 0000000000000003
0x00007ffb484ceab0:   00007ffb484cebc7 0000000040687540
0x00007ffb484ceac0:   00007ffb484ceb10 00007ffb96a3d687
0x00007ffb484cead0:   00007ffb4c3d7000 0000010000000004
0x00007ffb484ceae0:   00007ffb00000000 00007ffb4c3d7000
0x00007ffb484ceaf0:   00007ffb484cebc7 0000000040687078
0x00007ffb484ceb00:   00007ffb484cebc7 00007ffb4c3d7000
0x00007ffb484ceb10:   00007ffb484ceb60 00007ffb96a3da23
0x00007ffb484ceb20:   00007ffb4c3d5a70 0000000040687430
0x00007ffb484ceb30:   00007ffb96d4be90 00000000406870b8
0x00007ffb484ceb40:   00000000486dbaa0 0000000000000000
0x00007ffb484ceb50:   0000000000000000 00007ffb484cebc7
0x00007ffb484ceb60:   0000000040687078 00007ffb96a3db5a
0x00007ffb484ceb70:   000000004056f640 00007ffb967a2851
0x00007ffb484ceb80:   00007ffb484ceb90 00007ffb4c3d7000
0x00007ffb484ceb90:   74726f5058545852 29286e696172643a
0x00007ffb484ceba0:   736e727574657220 00007f000a30203a
0x00007ffb484cebb0:   00007ffb484cec00 00007ffb96887460

Instructions: (pc=0x00007ffb486dbb72)
0x00007ffb486dbb62:   ca b1 ff ff 80 7c 24 07 00 75 15 4d 85 ff 74 10
0x00007ffb486dbb72:   45 8b 4f 0c 45 85 c9 0f 1f 80 00 00 00 00 75 56

Stack: [0x00007ffb483d0000,0x00007ffb484d1000],  sp=0x00007ffb484ce9c0,
free space=1018k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native
code)
C  [librxtxSerial-2.1-7.so+0x8b72]  Java_gnu_io_RXTXPort_nativeDrain+0xd2

[error occurred during error reporting (printing native stack), id 0xb]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  gnu.io.RXTXPort.nativeDrain(Z)Z+0
j  gnu.io.RXTXPort$SerialOutputStream.flush()V+72
j  processing.app.Serial.write([B)V+12
j  processing.app.Serial.write(Ljava/lang/String;)V+5
j
processing.app.EditorStatus.actionPerformed(Ljava/awt/event/ActionEvent;)V+171
j
javax.swing.AbstractButton.fireActionPerformed(Ljava/awt/event/ActionEvent;)V+84
j
javax.swing.AbstractButton$Handler.actionPerformed(Ljava/awt/event/ActionEvent;)V+5
j
javax.swing.DefaultButtonModel.fireActionPerformed(Ljava/awt/event/ActionEvent;)V+35
j  javax.swing.DefaultButtonModel.setPressed(Z)V+117
j
javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Ljava/awt/event/MouseEvent;)V+35
j  java.awt.Component.processMouseEvent(Ljava/awt/event/MouseEvent;)V+64
j  javax.swing.JComponent.processMouseEvent(Ljava/awt/event/MouseEvent;)V+23
j  java.awt.Component.processEvent(Ljava/awt/AWTEvent;)V+81
j  java.awt.Container.processEvent(Ljava/awt/AWTEvent;)V+18
j  java.awt.Component.dispatchEventImpl(Ljava/awt/AWTEvent;)V+562
j  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V+42
j  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V+2
j
java.awt.LightweightDispatcher.retargetMouseEvent(Ljava/awt/Component;ILjava/awt/event/MouseEvent;)V+320
j
java.awt.LightweightDispatcher.processMouseEvent(Ljava/awt/event/MouseEvent;)Z+139
j  java.awt.LightweightDispatcher.dispatchEvent(Ljava/awt/AWTEvent;)Z+50
j  java.awt.Container.dispatchEventImpl(Ljava/awt/AWTEvent;)V+12
j  java.awt.Window.dispatchEventImpl(Ljava/awt/AWTEvent;)V+19
j  java.awt.Component.dispatchEvent(Ljava/awt/AWTEvent;)V+2
j  java.awt.EventQueue.dispatchEvent(Ljava/awt/AWTEvent;)V+46
j  java.awt.EventDispatchThread.pumpOneEventForFilters(I)Z+204
j
java.awt.EventDispatchThread.pumpEventsForFilter(ILjava/awt/Conditional;Ljava/awt/EventFilter;)V+30
j
java.awt.EventDispatchThread.pumpEventsForHierarchy(ILjava/awt/Conditional;Ljava/awt/Component;)V+11
j  java.awt.EventDispatchThread.pumpEvents(ILjava/awt/Conditional;)V+4
j  java.awt.EventDispatchThread.pumpEvents(Ljava/awt/Conditional;)V+3
j  java.awt.EventDispatchThread.run()V+9
v  ~StubRoutines::call_stub

---------------  P R O C E S S  ---------------

Java Threads: ( => current thread )
  0x0000000040b93400 JavaThread "Thread-60" [_thread_in_native, id=15305,
stack(0x00007ffb47f22000,0x00007ffb48023000)]
  0x0000000040572c00 JavaThread "DestroyJavaVM" [_thread_blocked, id=15145,
stack(0x00007ffb961ef000,0x00007ffb962f0000)]
=>0x00007ffb4c3d7000 JavaThread "AWT-EventQueue-0" [_thread_in_native,
id=15162, stack(0x00007ffb483d0000,0x00007ffb484d1000)]
  0x00007ffb4c3d6000 JavaThread "AWT-Shutdown" [_thread_blocked, id=15161,
stack(0x00007ffb484d1000,0x00007ffb485d2000)]
  0x00007ffb4c2dd000 JavaThread "TimerQueue" daemon [_thread_blocked,
id=15160, stack(0x00007ffb485d2000,0x00007ffb486d3000)]
  0x00007ffb4c0ed400 JavaThread "AWT-XAWT" daemon [_thread_in_native,
id=15158, stack(0x00007ffb51321000,0x00007ffb51422000)]
  0x00007ffb4c11c400 JavaThread "Java2D Disposer" daemon [_thread_blocked,
id=15156, stack(0x00007ffb5193a000,0x00007ffb51a3b000)]
  0x00007ffb4c025c00 JavaThread "Low Memory Detector" daemon
[_thread_blocked, id=15154, stack(0x00007ffb52f89000,0x00007ffb5308a000)]
  0x00007ffb4c022c00 JavaThread "CompilerThread1" daemon [_thread_blocked,
id=15153, stack(0x00007ffb5308a000,0x00007ffb5318b000)]
  0x00007ffb4c020c00 JavaThread "CompilerThread0" daemon [_thread_blocked,
id=15152, stack(0x00007ffb5318b000,0x00007ffb5328c000)]
  0x00007ffb4c01f000 JavaThread "Signal Dispatcher" daemon [_thread_blocked,
id=15151, stack(0x00007ffb5328c000,0x00007ffb5338d000)]
  0x00007ffb4c000c00 JavaThread "Finalizer" daemon [_thread_blocked,
id=15150, stack(0x00007ffb534cf000,0x00007ffb535d0000)]
  0x00000000405f9400 JavaThread "Reference Handler" daemon [_thread_blocked,
id=15149, stack(0x00007ffb535d0000,0x00007ffb536d1000)]

Other Threads:
  0x00000000405f3c00 VMThread [stack: 0x00007ffb536d1000,0x00007ffb537d2000]
[id=15148]
  0x00007ffb4c028400 WatcherThread [stack:
0x00007ffb52e88000,0x00007ffb52f89000] [id=15155]

VM state:not at safepoint (normal execution)

VM Mutex/Monitor currently owned by a thread: None

Heap
 PSYoungGen      total 17024K, used 9609K [0x00007ffb7f350000,
0x00007ffb80650000, 0x00007ffb92350000)
  eden space 14592K, 49% used
[0x00007ffb7f350000,0x00007ffb7fa59d20,0x00007ffb80190000)
  from space 2432K, 98% used
[0x00007ffb803f0000,0x00007ffb80648770,0x00007ffb80650000)
  to   space 2432K, 0% used
[0x00007ffb80190000,0x00007ffb80190000,0x00007ffb803f0000)
 PSOldGen        total 38912K, used 1539K [0x00007ffb59350000,
0x00007ffb5b950000, 0x00007ffb7f350000)
  object space 38912K, 3% used
[0x00007ffb59350000,0x00007ffb594d0f68,0x00007ffb5b950000)
 PSPermGen       total 21248K, used 16790K [0x00007ffb53f50000,
0x00007ffb55410000, 0x00007ffb59350000)
  object space 21248K, 79% used
[0x00007ffb53f50000,0x00007ffb54fb5988,0x00007ffb55410000)

Dynamic libraries:
40000000-40009000 r-xp 00000000 08:01 853702
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java
40108000-4010a000 rwxp 00008000 08:01 853702
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/bin/java
4056b000-41040000 rwxp 4056b000 00:00 0
[heap]
7ffb47500000-7ffb47503000 rwxp 7ffb47500000 00:00 0
7ffb47503000-7ffb47601000 rwxp 7ffb47503000 00:00 0
7ffb47601000-7ffb47604000 rwxp 7ffb47601000 00:00 0
7ffb47604000-7ffb47702000 rwxp 7ffb47604000 00:00 0
7ffb47702000-7ffb47705000 rwxp 7ffb47702000 00:00 0
7ffb47705000-7ffb47803000 rwxp 7ffb47705000 00:00 0
7ffb47803000-7ffb47806000 rwxp 7ffb47803000 00:00 0
7ffb47806000-7ffb47904000 rwxp 7ffb47806000 00:00 0
7ffb47904000-7ffb47917000 r-xp 00000000 08:01 429397
/lib/libresolv-2.9.so
7ffb47917000-7ffb47b16000 ---p 00013000 08:01 429397
/lib/libresolv-2.9.so
7ffb47b16000-7ffb47b17000 r-xp 00012000 08:01 429397
/lib/libresolv-2.9.so
7ffb47b17000-7ffb47b18000 rwxp 00013000 08:01 429397
/lib/libresolv-2.9.so
7ffb47b18000-7ffb47b1a000 rwxp 7ffb47b18000 00:00 0
7ffb47b1a000-7ffb47b1f000 r-xp 00000000 08:01 429395
/lib/libnss_dns-2.9.so
7ffb47b1f000-7ffb47d1e000 ---p 00005000 08:01 429395
/lib/libnss_dns-2.9.so
7ffb47d1e000-7ffb47d1f000 r-xp 00004000 08:01 429395
/lib/libnss_dns-2.9.so
7ffb47d1f000-7ffb47d20000 rwxp 00005000 08:01 429395
/lib/libnss_dns-2.9.so
7ffb47d20000-7ffb47d22000 r-xp 00000000 08:01 425723
/lib/libnss_mdns4_minimal.so.2
7ffb47d22000-7ffb47f21000 ---p 00002000 08:01 425723
/lib/libnss_mdns4_minimal.so.2
7ffb47f21000-7ffb47f22000 rwxp 00001000 08:01 425723
/lib/libnss_mdns4_minimal.so.2
7ffb47f22000-7ffb47f25000 ---p 7ffb47f22000 00:00 0
7ffb47f25000-7ffb48023000 rwxp 7ffb47f25000 00:00 0
7ffb48023000-7ffb48314000 rwxs 00000000 00:08 5603336
/SYSV00000000 (deleted)
7ffb48355000-7ffb48370000 rwxs 00000000 00:08 5701652
/SYSV00000000 (deleted)
7ffb48370000-7ffb483d0000 rwxs 00000000 00:08 5505030
/SYSV00000000 (deleted)
7ffb483d0000-7ffb483d3000 ---p 7ffb483d0000 00:00 0
7ffb483d3000-7ffb484d1000 rwxp 7ffb483d3000 00:00 0
7ffb484d1000-7ffb484d4000 ---p 7ffb484d1000 00:00 0
7ffb484d4000-7ffb485d2000 rwxp 7ffb484d4000 00:00 0
7ffb485d2000-7ffb485d5000 ---p 7ffb485d2000 00:00 0
7ffb485d5000-7ffb486d3000 rwxp 7ffb485d5000 00:00 0
7ffb486d3000-7ffb486e0000 r-xp 00000000 08:01 212422
/usr/lib/librxtxSerial-2.1-7.so
7ffb486e0000-7ffb488e0000 ---p 0000d000 08:01 212422
/usr/lib/librxtxSerial-2.1-7.so
7ffb488e0000-7ffb488e1000 rwxp 0000d000 08:01 212422
/usr/lib/librxtxSerial-2.1-7.so
7ffb488e1000-7ffb488e4000 rwxp 7ffb488e1000 00:00 0
7ffb488e4000-7ffb489e2000 rwxp 7ffb488e4000 00:00 0
7ffb489e2000-7ffb489e4000 r-xp 00000000 08:01 1012305
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so
7ffb489e4000-7ffb48be3000 ---p 00002000 08:01 1012305
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so
7ffb48be3000-7ffb48be4000 rwxp 00001000 08:01 1012305
/usr/lib/pango/1.6.0/modules/pango-basic-fc.so
7ffb48be4000-7ffb48beb000 r-xp 00000000 08:01 854085
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnio.so
7ffb48beb000-7ffb48cea000 ---p 00007000 08:01 854085
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnio.so
7ffb48cea000-7ffb48cec000 rwxp 00006000 08:01 854085
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnio.so
7ffb48cec000-7ffb48d13000 r-xp 00000000 08:01 213900
/usr/lib/libexpat.so.1.5.2
7ffb48d13000-7ffb48f13000 ---p 00027000 08:01 213900
/usr/lib/libexpat.so.1.5.2
7ffb48f13000-7ffb48f15000 rwxp 00027000 08:01 213900
/usr/lib/libexpat.so.1.5.2
7ffb48f15000-7ffb48f2f000 r-xp 00000000 08:01 424509
/lib/libselinux.so.1
7ffb48f2f000-7ffb4912e000 ---p 0001a000 08:01 424509
/lib/libselinux.so.1
7ffb4912e000-7ffb49130000 rwxp 00019000 08:01 424509
/lib/libselinux.so.1
7ffb49130000-7ffb49131000 rwxp 7ffb49130000 00:00 0
7ffb49131000-7ffb49160000 r-xp 00000000 08:01 212173
/usr/lib/libpcre.so.3.12.1
7ffb49160000-7ffb4935f000 ---p 0002f000 08:01 212173
/usr/lib/libpcre.so.3.12.1
7ffb4935f000-7ffb49360000 rwxp 0002e000 08:01 212173
/usr/lib/libpcre.so.3.12.1
7ffb49360000-7ffb49367000 r-xp 00000000 08:01 771156
/usr/lib/libxcb-render.so.0.0.0
7ffb49367000-7ffb49567000 ---p 00007000 08:01 771156
/usr/lib/libxcb-render.so.0.0.0
7ffb49567000-7ffb49568000 rwxp 00007000 08:01 771156
/usr/lib/libxcb-render.so.0.0.0
7ffb49568000-7ffb4956b000 r-xp 00000000 08:01 771245
/usr/lib/libxcb-render-util.so.0.0.0
7ffb4956b000-7ffb4976a000 ---p 00003000 08:01 771245
/usr/lib/libxcb-render-util.so.0.0.0
7ffb4976a000-7ffb4976b000 rwxp 00002000 08:01 771245
/usr/lib/libxcb-render-util.so.0.0.0
7ffb4976b000-7ffb49790000 r-xp 00000000 08:01 770896
/usr/lib/libpng12.so.0.35.0
7ffb49790000-7ffb4998f000 ---p 00025000 08:01 770896
/usr/lib/libpng12.so.0.35.0
7ffb4998f000-7ffb49990000 rwxp 00024000 08:01 770896
/usr/lib/libpng12.so.0.35.0
7ffb49990000-7ffb499a8000 r-xp 00000000 08:01 769173
/usr/lib/libdirect-1.2.so.0.7.0
7ffb499a8000-7ffb49ba8000 ---p 00018000 08:01 769173
/usr/lib/libdirect-1.2.so.0.7.0
7ffb49ba8000-7ffb49ba9000 rwxp 00018000 08:01 769173
/usr/lib/libdirect-1.2.so.0.7.0
7ffb49ba9000-7ffb49baa000 rwxp 7ffb49ba9000 00:00 0
7ffb49baa000-7ffb49bb3000 r-xp 00000000 08:01 769740
/usr/lib/libfusion-1.2.so.0.7.0
7ffb49bb3000-7ffb49db3000 ---p 00009000 08:01 769740
/usr/lib/libfusion-1.2.so.0.7.0
7ffb49db3000-7ffb49db4000 rwxp 00009000 08:01 769740
/usr/lib/libfusion-1.2.so.0.7.0
7ffb49db4000-7ffb49e3a000 r-xp 00000000 08:01 769029
/usr/lib/libdirectfb-1.2.so.0.7.0
7ffb49e3a000-7ffb4a03a000 ---p 00086000 08:01 769029
/usr/lib/libdirectfb-1.2.so.0.7.0
7ffb4a03a000-7ffb4a03e000 rwxp 00086000 08:01 769029
/usr/lib/libdirectfb-1.2.so.0.7.0
7ffb4a03e000-7ffb4a081000 r-xp 00000000 08:01 770242
/usr/lib/libpixman-1.so.0.14.0
7ffb4a081000-7ffb4a280000 ---p 00043000 08:01 770242
/usr/lib/libpixman-1.so.0.14.0
7ffb4a280000-7ffb4a283000 rwxp 00042000 08:01 770242
/usr/lib/libpixman-1.so.0.14.0
7ffb4a283000-7ffb4a29a000 r-xp 00000000 08:01 767729
/usr/lib/libz.so.1.2.3.3
7ffb4a29a000-7ffb4a499000 ---p 00017000 08:01 767729
/usr/lib/libz.so.1.2.3.3
7ffb4a499000-7ffb4a49a000 rwxp 00016000 08:01 767729
/usr/lib/libz.so.1.2.3.3
7ffb4a49a000-7ffb4a4a2000 r-xp 00000000 08:01 767719
/usr/lib/libXrandr.so.2.2.0
7ffb4a4a2000-7ffb4a6a1000 ---p 00008000 08:01 767719
/usr/lib/libXrandr.so.2.2.0
7ffb4a6a1000-7ffb4a6a2000 rwxp 00007000 08:01 767719
/usr/lib/libXrandr.so.2.2.0
7ffb4a6a2000-7ffb4a6a4000 r-xp 00000000 08:01 771515
/usr/lib/libXinerama.so.1.0.0
7ffb4a6a4000-7ffb4a8a3000 ---p 00002000 08:01 771515
/usr/lib/libXinerama.so.1.0.0
7ffb4a8a3000-7ffb4a8a4000 rwxp 00001000 08:01 771515
/usr/lib/libXinerama.so.1.0.0
7ffb4a8a4000-7ffb4a967000 r-xp 00000000 08:01 212310
/usr/lib/libglib-2.0.so.0.2000.0
7ffb4a967000-7ffb4ab66000 ---p 000c3000 08:01 212310
/usr/lib/libglib-2.0.so.0.2000.0
7ffb4ab66000-7ffb4ab67000 rwxp 000c2000 08:01 212310
/usr/lib/libglib-2.0.so.0.2000.0
7ffb4ab67000-7ffb4ab68000 rwxp 7ffb4ab67000 00:00 0
7ffb4ab68000-7ffb4ab6b000 r-xp 00000000 08:01 212719
/usr/lib/libgmodule-2.0.so.0.2000.0
7ffb4ab6b000-7ffb4ad6a000 ---p 00003000 08:01 212719
/usr/lib/libgmodule-2.0.so.0.2000.0
7ffb4ad6a000-7ffb4ad6b000 rwxp 00002000 08:01 212719
/usr/lib/libgmodule-2.0.so.0.2000.0
7ffb4ad6b000-7ffb4adae000 r-xp 00000000 08:01 212717
/usr/lib/libgobject-2.0.so.0.2000.0
7ffb4adae000-7ffb4afae000 ---p 00043000 08:01 212717
/usr/lib/libgobject-2.0.so.0.2000.0
7ffb4afae000-7ffb4afb0000 rwxp 00043000 08:01 212717
/usr/lib/libgobject-2.0.so.0.2000.0
7ffb4afb0000-7ffb4afe0000 r-xp 00000000 08:01 767278
/usr/lib/libfontconfig.so.1.3.0
7ffb4afe0000-7ffb4b1df000 ---p 00030000 08:01 767278
/usr/lib/libfontconfig.so.1.3.0
7ffb4b1df000-7ffb4b1e1000 rwxp 0002f000 08:01 767278
/usr/lib/libfontconfig.so.1.3.0
7ffb4b1e1000-7ffb4b262000 r-xp 00000000 08:01 770234
/usr/lib/libfreetype.so.6.3.20
7ffb4b262000-7ffb4b462000 ---p 00081000 08:01 770234
/usr/lib/libfreetype.so.6.3.20
7ffb4b462000-7ffb4b468000 rwxp 00081000 08:01 770234
/usr/lib/libfreetype.so.6.3.20
7ffb4b468000-7ffb4b4b0000 r-xp 00000000 08:01 767981
/usr/lib/libpango-1.0.so.0.2400.0
7ffb4b4b0000-7ffb4b6b0000 ---p 00048000 08:01 767981
/usr/lib/libpango-1.0.so.0.2400.0
7ffb4b6b0000-7ffb4b6b3000 rwxp 00048000 08:01 767981
/usr/lib/libpango-1.0.so.0.2400.0
7ffb4b6b3000-7ffb4b6e0000 r-xp 00000000 08:01 770103
/usr/lib/libpangoft2-1.0.so.0.2400.0
7ffb4b6e0000-7ffb4b8e0000 ---p 0002d000 08:01 770103
/usr/lib/libpangoft2-1.0.so.0.2400.0
7ffb4b8e0000-7ffb4b8e1000 rwxp 0002d000 08:01 770103
/usr/lib/libpangoft2-1.0.so.0.2400.0
7ffb4b8e1000-7ffb4b95a000 r-xp 00000000 08:01 212721
/usr/lib/libgio-2.0.so.0.2000.0
7ffb4b95a000-7ffb4bb5a000 ---p 00079000 08:01 212721
/usr/lib/libgio-2.0.so.0.2000.0
7ffb4bb5a000-7ffb4bb5c000 rwxp 00079000 08:01 212721
/usr/lib/libgio-2.0.so.0.2000.0
7ffb4bb5c000-7ffb4bb5d000 rwxp 7ffb4bb5c000 00:00 0
7ffb4bb5d000-7ffb4bbdc000 r-xp 00000000 08:01 771249
/usr/lib/libcairo.so.2.10800.6
7ffb4bbdc000-7ffb4bddc000 ---p 0007f000 08:01 771249
/usr/lib/libcairo.so.2.10800.6
7ffb4bddc000-7ffb4bddf000 rwxp 0007f000 08:01 771249
/usr/lib/libcairo.so.2.10800.6
7ffb4bddf000-7ffb4bdfe000 r-xp 00000000 08:01 212775
/usr/lib/libatk-1.0.so.0.2409.1
7ffb4bdfe000-7ffb4bffd000 ---p 0001f000 08:01 212775
/usr/lib/libatk-1.0.so.0.2409.1
7ffb4bffd000-7ffb4c000000 rwxp 0001e000 08:01 212775
/usr/lib/libatk-1.0.so.0.2409.1
7ffb4c000000-7ffb4c6e8000 rwxp 7ffb4c000000 00:00 0
7ffb4c6e8000-7ffb50000000 ---p 7ffb4c6e8000 00:00 0
7ffb50041000-7ffb50052000 r-xp 00000000 08:01 817233
/usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf
7ffb50052000-7ffb50065000 r-xp 00000000 08:01 854087
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnet.so
7ffb50065000-7ffb50166000 ---p 00013000 08:01 854087
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnet.so
7ffb50166000-7ffb50169000 rwxp 00014000 08:01 854087
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libnet.so
7ffb50169000-7ffb50172000 r-xs 00000000 08:02 311339
/var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86-64.cache-2
7ffb50172000-7ffb50174000 r-xp 00000000 08:01 769450
/usr/lib/libXdamage.so.1.1.0
7ffb50174000-7ffb50373000 ---p 00002000 08:01 769450
/usr/lib/libXdamage.so.1.1.0
7ffb50373000-7ffb50374000 rwxp 00001000 08:01 769450
/usr/lib/libXdamage.so.1.1.0
7ffb50374000-7ffb50376000 r-xp 00000000 08:01 768675
/usr/lib/libXcomposite.so.1.0.0
7ffb50376000-7ffb50575000 ---p 00002000 08:01 768675
/usr/lib/libXcomposite.so.1.0.0
7ffb50575000-7ffb50576000 rwxp 00001000 08:01 768675
/usr/lib/libXcomposite.so.1.0.0
7ffb50576000-7ffb50581000 r-xp 00000000 08:01 770104
/usr/lib/libpangocairo-1.0.so.0.2400.0
7ffb50581000-7ffb50781000 ---p 0000b000 08:01 770104
/usr/lib/libpangocairo-1.0.so.0.2400.0
7ffb50781000-7ffb50782000 rwxp 0000b000 08:01 770104
/usr/lib/libpangocairo-1.0.so.0.2400.0
7ffb50782000-7ffb5081d000 r-xp 00000000 08:01 771136
/usr/lib/libgdk-x11-2.0.so.0.1400.7
7ffb5081d000-7ffb50a1d000 ---p 0009b000 08:01 771136
/usr/lib/libgdk-x11-2.0.so.0.1400.7
7ffb50a1d000-7ffb50a22000 rwxp 0009b000 08:01 771136
/usr/lib/libgdk-x11-2.0.so.0.1400.7
7ffb50a22000-7ffb50dfd000 r-xp 00000000 08:01 771213
/usr/lib/libgtk-x11-2.0.so.0.1400.7
7ffb50dfd000-7ffb50ffc000 ---p 003db000 08:01 771213
/usr/lib/libgtk-x11-2.0.so.0.1400.7
7ffb50ffc000-7ffb51006000 rwxp 003da000 08:01 771213
/usr/lib/libgtk-x11-2.0.so.0.1400.7
7ffb51006000-7ffb51008000 rwxp 7ffb51006000 00:00 0
7ffb51008000-7ffb51011000 r-xs 00000000 08:02 311339
/var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86-64.cache-2
7ffb51011000-7ffb51013000 r-xs 00000000 08:02 311275
/var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86-64.cache-2
7ffb51013000-7ffb51017000 r-xs 00000000 08:02 311355
/var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86-64.cache-2
7ffb51017000-7ffb51018000 r-xs 00000000 08:02 311336
/var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86-64.cache-2
7ffb51018000-7ffb5101b000 r-xs 00000000 08:02 311353
/var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86-64.cache-2
7ffb5101b000-7ffb5101f000 r-xs 00000000 08:02 311352
/var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-x86-64.cache-2
7ffb5101f000-7ffb51022000 r-xs 00000000 08:02 311351
/var/cache/fontconfig/646addb8444faa74ee138aa00ab0b6a0-x86-64.cache-2
7ffb51022000-7ffb51025000 r-xs 00000000 08:02 311350
/var/cache/fontconfig/20bd79ad97094406f7d1b9654bfbd926-x86-64.cache-2
7ffb51025000-7ffb51029000 r-xs 00000000 08:02 311349
/var/cache/fontconfig/9c0624108b9a2ae8552f664125be8356-x86-64.cache-2
7ffb51029000-7ffb51032000 r-xs 00000000 08:02 311348
/var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86-64.cache-2
7ffb51032000-7ffb51035000 r-xs 00000000 08:02 311346
/var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86-64.cache-2
7ffb51035000-7ffb51038000 r-xs 00000000 08:02 311334
/var/cache/fontconfig/da1bd5ca8443ffe22927a23ce431d198-x86-64.cache-2
7ffb51038000-7ffb51042000 r-xs 00000000 08:02 311347
/var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86-64.cache-2
7ffb51048000-7ffb51049000 rwxp 7ffb51048000 00:00 0
7ffb51049000-7ffb5104b000 r-xs 00000000 08:02 311275
/var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86-64.cache-2
7ffb5104b000-7ffb5104f000 r-xs 00000000 08:02 311355
/var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86-64.cache-2
7ffb5104f000-7ffb51050000 r-xs 00000000 08:02 311336
/var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86-64.cache-2
7ffb51050000-7ffb51052000 r-xs 00000000 08:02 311354
/var/cache/fontconfig/a2ab74764b07279e7c36ddb1d302cf26-x86-64.cache-2
7ffb51052000-7ffb51055000 r-xs 00000000 08:02 311353
/var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86-64.cache-2
7ffb51055000-7ffb51059000 r-xs 00000000 08:02 311352
/var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-x86-64.cache-2
7ffb51059000-7ffb5105c000 r-xs 00000000 08:02 311351
/var/cache/fontconfig/646addb8444faa74ee138aa00ab0b6a0-x86-64.cache-2
7ffb5105c000-7ffb5105f000 r-xs 00000000 08:02 311350
/var/cache/fontconfig/20bd79ad97094406f7d1b9654bfbd926-x86-64.cache-2
7ffb5105f000-7ffb51063000 r-xs 00000000 08:02 311349
/var/cache/fontconfig/9c0624108b9a2ae8552f664125be8356-x86-64.cache-2
7ffb51063000-7ffb5106c000 r-xs 00000000 08:02 311348
/var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86-64.cache-2
7ffb5106c000-7ffb5106f000 r-xs 00000000 08:02 311346
/var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86-64.cache-2
7ffb5106f000-7ffb51072000 r-xs 00000000 08:02 311334
/var/cache/fontconfig/da1bd5ca8443ffe22927a23ce431d198-x86-64.cache-2
7ffb51072000-7ffb51073000 r-xs 00000000 08:02 311335
/var/cache/fontconfig/9451a55048e8dbe8633e64d34165fdf2-x86-64.cache-2
7ffb51073000-7ffb51075000 r-xs 00000000 08:02 310124
/var/cache/fontconfig/ddd4086aec35a5275babba44bb759c3c-x86-64.cache-2
7ffb51075000-7ffb51076000 r-xs 00000000 08:02 310138
/var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86-64.cache-2
7ffb51076000-7ffb51078000 r-xs 00000000 08:02 310121
/var/cache/fontconfig/2c5ba8142dffc8bf0377700342b8ca1a-x86-64.cache-2
7ffb51078000-7ffb5107a000 r-xs 00000000 08:02 311264
/var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86-64.cache-2
7ffb5107a000-7ffb51084000 r-xs 00000000 08:02 311347
/var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86-64.cache-2
7ffb51084000-7ffb5108a000 r-xs 00000000 08:02 310116
/var/cache/fontconfig/105b9c7e6f0a4f82d8c9b6e39c52c6f9-x86-64.cache-2
7ffb5108a000-7ffb5108e000 r-xs 00000000 08:02 310154
/var/cache/fontconfig/6386b86020ecc1ef9690bb720a13964f-x86-64.cache-2
7ffb5108e000-7ffb51097000 r-xs 00000000 08:02 311339
/var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86-64.cache-2
7ffb51097000-7ffb51099000 r-xs 00000000 08:02 311275
/var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86-64.cache-2
7ffb51099000-7ffb5109d000 r-xs 00000000 08:02 311355
/var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86-64.cache-2
7ffb5109d000-7ffb5109e000 r-xs 00000000 08:02 311336
/var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86-64.cache-2
7ffb5109e000-7ffb510a0000 r-xs 00000000 08:02 311354
/var/cache/fontconfig/a2ab74764b07279e7c36ddb1d302cf26-x86-64.cache-2
7ffb510a0000-7ffb510a3000 r-xs 00000000 08:02 311353
/var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86-64.cache-2
7ffb510a3000-7ffb510a7000 r-xs 00000000 08:02 311352
/var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-x86-64.cache-2
7ffb510a7000-7ffb510aa000 r-xs 00000000 08:02 311351
/var/cache/fontconfig/646addb8444faa74ee138aa00ab0b6a0-x86-64.cache-2
7ffb510aa000-7ffb510ad000 r-xs 00000000 08:02 311350
/var/cache/fontconfig/20bd79ad97094406f7d1b9654bfbd926-x86-64.cache-2
7ffb510ad000-7ffb510b1000 r-xs 00000000 08:02 311349
/var/cache/fontconfig/9c0624108b9a2ae8552f664125be8356-x86-64.cache-2
7ffb510b1000-7ffb510ba000 r-xs 00000000 08:02 311348
/var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86-64.cache-2
7ffb510ba000-7ffb510bd000 r-xs 00000000 08:02 311346
/var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86-64.cache-2
7ffb510bd000-7ffb510c0000 r-xs 00000000 08:02 311334
/var/cache/fontconfig/da1bd5ca8443ffe22927a23ce431d198-x86-64.cache-2
7ffb510c0000-7ffb510c1000 r-xs 00000000 08:02 311335
/var/cache/fontconfig/9451a55048e8dbe8633e64d34165fdf2-x86-64.cache-2
7ffb510c1000-7ffb510c3000 r-xs 00000000 08:02 310124
/var/cache/fontconfig/ddd4086aec35a5275babba44bb759c3c-x86-64.cache-2
7ffb510c3000-7ffb510c4000 r-xs 00000000 08:02 310138
/var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86-64.cache-2
7ffb510c4000-7ffb510c6000 r-xs 00000000 08:02 310121
/var/cache/fontconfig/2c5ba8142dffc8bf0377700342b8ca1a-x86-64.cache-2
7ffb510c6000-7ffb510c8000 r-xs 00000000 08:02 311264
/var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86-64.cache-2
7ffb510c8000-7ffb510d2000 r-xs 00000000 08:02 311347
/var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86-64.cache-2
7ffb510d2000-7ffb510d8000 r-xs 00000000 08:02 310116
/var/cache/fontconfig/105b9c7e6f0a4f82d8c9b6e39c52c6f9-x86-64.cache-2
7ffb510d8000-7ffb510dc000 r-xs 00000000 08:02 310154
/var/cache/fontconfig/6386b86020ecc1ef9690bb720a13964f-x86-64.cache-2
7ffb510dc000-7ffb510e3000 r-xs 00000000 08:02 310351
/var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86-64.cache-2
7ffb510e3000-7ffb510ed000 r-xs 00000000 08:02 311338
/var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86-64.cache-2
7ffb510ed000-7ffb510f0000 r-xs 00000000 08:02 311289
/var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-x86-64.cache-2
7ffb510f0000-7ffb510f2000 r-xs 0000d000 08:06 853214
/usr/local/lib/arduino-0015/lib/RXTXcomm.jar
7ffb510f2000-7ffb510f9000 r-xs 00000000 08:02 310351
/var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86-64.cache-2
7ffb510f9000-7ffb51103000 r-xs 00000000 08:02 311338
/var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86-64.cache-2
7ffb51103000-7ffb51106000 r-xs 00000000 08:02 311289
/var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-x86-64.cache-2
7ffb51106000-7ffb51120000 r-xp 00000000 08:01 768113
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
7ffb51120000-7ffb51320000 ---p 0001a000 08:01 768113
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
7ffb51320000-7ffb51321000 rwxp 0001a000 08:01 768113
/usr/lib/libgdk_pixbuf-2.0.so.0.1400.7
7ffb51321000-7ffb51324000 ---p 7ffb51321000 00:00 0
7ffb51324000-7ffb51422000 rwxp 7ffb51324000 00:00 0
7ffb51422000-7ffb51427000 r-xp 00000000 08:01 774571
/usr/lib/libXfixes.so.3.1.0
7ffb51427000-7ffb51526000 ---p 00005000 08:01 774571
/usr/lib/libXfixes.so.3.1.0
7ffb51526000-7ffb51527000 rwxp 00004000 08:01 774571
/usr/lib/libXfixes.so.3.1.0
7ffb51527000-7ffb51530000 r-xp 00000000 08:01 213922
/usr/lib/libXrender.so.1.3.0
7ffb51530000-7ffb5172f000 ---p 00009000 08:01 213922
/usr/lib/libXrender.so.1.3.0
7ffb5172f000-7ffb51730000 rwxp 00008000 08:01 213922
/usr/lib/libXrender.so.1.3.0
7ffb51730000-7ffb51739000 r-xp 00000000 08:01 767246
/usr/lib/libXcursor.so.1.0.2
7ffb51739000-7ffb51939000 ---p 00009000 08:01 767246
/usr/lib/libXcursor.so.1.0.2
7ffb51939000-7ffb5193a000 rwxp 00009000 08:01 767246
/usr/lib/libXcursor.so.1.0.2
7ffb5193a000-7ffb5193d000 ---p 7ffb5193a000 00:00 0
7ffb5193d000-7ffb51a3b000 rwxp 7ffb5193d000 00:00 0
7ffb51a3b000-7ffb51ab9000 r-xp 00000000 08:01 854076
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libfontmanager.so
7ffb51ab9000-7ffb51bb8000 ---p 0007e000 08:01 854076
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libfontmanager.so
7ffb51bb8000-7ffb51bce000 rwxp 0007d000 08:01 854076
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libfontmanager.so
7ffb51bce000-7ffb51bdf000 rwxp 7ffb51bce000 00:00 0
7ffb51bdf000-7ffb51be4000 r-xp 00000000 08:01 779979
/usr/lib/libXdmcp.so.6.0.0
7ffb51be4000-7ffb51de3000 ---p 00005000 08:01 779979
/usr/lib/libXdmcp.so.6.0.0
7ffb51de3000-7ffb51de4000 rwxp 00004000 08:01 779979
/usr/lib/libXdmcp.so.6.0.0
7ffb51de4000-7ffb51dff000 r-xp 00000000 08:01 771025
/usr/lib/libxcb.so.1.1.0
7ffb51dff000-7ffb51fff000 ---p 0001b000 08:01 771025
/usr/lib/libxcb.so.1.1.0
7ffb51fff000-7ffb52000000 rwxp 0001b000 08:01 771025
/usr/lib/libxcb.so.1.1.0
7ffb52000000-7ffb52002000 r-xp 00000000 08:01 770977
/usr/lib/libXau.so.6.0.0
7ffb52002000-7ffb52201000 ---p 00002000 08:01 770977
/usr/lib/libXau.so.6.0.0
7ffb52201000-7ffb52202000 rwxp 00001000 08:01 770977
/usr/lib/libXau.so.6.0.0
7ffb52202000-7ffb5220b000 r-xp 00000000 08:01 770020
/usr/lib/libXi.so.6.0.0
7ffb5220b000-7ffb5240b000 ---p 00009000 08:01 770020
/usr/lib/libXi.so.6.0.0
7ffb5240b000-7ffb5240c000 rwxp 00009000 08:01 770020
/usr/lib/libXi.so.6.0.0
7ffb5240c000-7ffb52411000 r-xp 00000000 08:01 775002
/usr/lib/libXtst.so.6.1.0
7ffb52411000-7ffb52611000 ---p 00005000 08:01 775002
/usr/lib/libXtst.so.6.1.0
7ffb52611000-7ffb52612000 rwxp 00005000 08:01 775002
/usr/lib/libXtst.so.6.1.0
7ffb52612000-7ffb52747000 r-xp 00000000 08:01 770046
/usr/lib/libX11.so.6.2.0
7ffb52747000-7ffb52947000 ---p 00135000 08:01 770046
/usr/lib/libX11.so.6.2.0
7ffb52947000-7ffb5294d000 rwxp 00135000 08:01 770046
/usr/lib/libX11.so.6.2.0
7ffb5294d000-7ffb5295d000 r-xp 00000000 08:01 771404
/usr/lib/libXext.so.6.4.0
7ffb5295d000-7ffb52b5d000 ---p 00010000 08:01 771404
/usr/lib/libXext.so.6.4.0
7ffb52b5d000-7ffb52b5e000 rwxp 00010000 08:01 771404
/usr/lib/libXext.so.6.4.0
7ffb52b5e000-7ffb52b9f000 r-xp 00000000 08:01 854083
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/xawt/libmawt.so
7ffb52b9f000-7ffb52c9e000 ---p 00041000 08:01 854083
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/xawt/libmawt.so
7ffb52c9e000-7ffb52caa000 rwxp 00040000 08:01 854083
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/xawt/libmawt.so
7ffb52caa000-7ffb52cab000 rwxp 7ffb52caa000 00:00 0
7ffb52cab000-7ffb52d3d000 r-xp 00000000 08:01 854102
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libawt.so
7ffb52d3d000-7ffb52e3c000 ---p 00092000 08:01 854102
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libawt.so
7ffb52e3c000-7ffb52e55000 rwxp 00091000 08:01 854102
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libawt.so
7ffb52e55000-7ffb52e7a000 rwxp 7ffb52e55000 00:00 0
7ffb52e7a000-7ffb52e7b000 r-xs 00003000 08:06 853208
/usr/local/lib/arduino-0015/lib/mrj.jar
7ffb52e7b000-7ffb52e7c000 r-xs 00006000 08:06 853212
/usr/local/lib/arduino-0015/lib/registry.jar
7ffb52e7c000-7ffb52e7d000 r-xs 00006000 08:06 853209
/usr/local/lib/arduino-0015/lib/oro.jar
7ffb52e7d000-7ffb52e82000 r-xs 00053000 08:06 853200
/usr/local/lib/arduino-0015/lib/antlr.jar
7ffb52e82000-7ffb52e88000 r-xs 000bb000 08:06 853210
/usr/local/lib/arduino-0015/lib/pde.jar
7ffb52e88000-7ffb52e89000 ---p 7ffb52e88000 00:00 0
7ffb52e89000-7ffb52f89000 rwxp 7ffb52e89000 00:00 0
7ffb52f89000-7ffb52f8c000 ---p 7ffb52f89000 00:00 0
7ffb52f8c000-7ffb5308a000 rwxp 7ffb52f8c000 00:00 0
7ffb5308a000-7ffb5308d000 ---p 7ffb5308a000 00:00 0
7ffb5308d000-7ffb5318b000 rwxp 7ffb5308d000 00:00 0
7ffb5318b000-7ffb5318e000 ---p 7ffb5318b000 00:00 0
7ffb5318e000-7ffb5328c000 rwxp 7ffb5318e000 00:00 0
7ffb5328c000-7ffb5328f000 ---p 7ffb5328c000 00:00 0
7ffb5328f000-7ffb5338d000 rwxp 7ffb5328f000 00:00 0
7ffb5338d000-7ffb534cf000 r-xp 00000000 08:01 783563
/usr/lib/locale/locale-archive
7ffb534cf000-7ffb534d2000 ---p 7ffb534cf000 00:00 0
7ffb534d2000-7ffb535d0000 rwxp 7ffb534d2000 00:00 0
7ffb535d0000-7ffb535d3000 ---p 7ffb535d0000 00:00 0
7ffb535d3000-7ffb536d1000 rwxp 7ffb535d3000 00:00 0
7ffb536d1000-7ffb536d2000 ---p 7ffb536d1000 00:00 0
7ffb536d2000-7ffb53847000 rwxp 7ffb536d2000 00:00 0
7ffb53847000-7ffb539d9000 r-xs 02f34000 08:01 506950
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/rt.jar
7ffb539d9000-7ffb53a01000 rwxp 7ffb539d9000 00:00 0
7ffb53a01000-7ffb53a02000 ---p 7ffb53a01000 00:00 0
7ffb53a02000-7ffb53b02000 rwxp 7ffb53a02000 00:00 0
7ffb53b02000-7ffb53b03000 ---p 7ffb53b02000 00:00 0
7ffb53b03000-7ffb53c0e000 rwxp 7ffb53b03000 00:00 0
7ffb53c0e000-7ffb53c2d000 rwxp 7ffb53c0e000 00:00 0
7ffb53c2d000-7ffb53c40000 rwxp 7ffb53c2d000 00:00 0
7ffb53c40000-7ffb53d5d000 rwxp 7ffb53c40000 00:00 0
7ffb53d5d000-7ffb53d68000 rwxp 7ffb53d5d000 00:00 0
7ffb53d68000-7ffb53d87000 rwxp 7ffb53d68000 00:00 0
7ffb53d87000-7ffb53d9a000 rwxp 7ffb53d87000 00:00 0
7ffb53d9a000-7ffb53eb7000 rwxp 7ffb53d9a000 00:00 0
7ffb53eb7000-7ffb53ec1000 rwxp 7ffb53eb7000 00:00 0
7ffb53ec1000-7ffb53f4f000 rwxp 7ffb53ec1000 00:00 0
7ffb53f4f000-7ffb55410000 rwxp 7ffb53f4f000 00:00 0
7ffb55410000-7ffb59350000 rwxp 7ffb55410000 00:00 0
7ffb59350000-7ffb5b950000 rwxp 7ffb59350000 00:00 0
7ffb5b950000-7ffb7f350000 rwxp 7ffb5b950000 00:00 0
7ffb7f350000-7ffb80650000 rwxp 7ffb7f350000 00:00 0
7ffb80650000-7ffb92350000 rwxp 7ffb80650000 00:00 0
7ffb92350000-7ffb92352000 r-xs 00000000 08:02 311354
/var/cache/fontconfig/a2ab74764b07279e7c36ddb1d302cf26-x86-64.cache-2
7ffb92352000-7ffb92353000 r-xs 00000000 08:02 311335
/var/cache/fontconfig/9451a55048e8dbe8633e64d34165fdf2-x86-64.cache-2
7ffb92353000-7ffb925c3000 rwxp 7ffb92353000 00:00 0
7ffb925c3000-7ffb95353000 rwxp 7ffb925c3000 00:00 0
7ffb95353000-7ffb95361000 r-xp 00000000 08:01 854071
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libzip.so
7ffb95361000-7ffb95463000 ---p 0000e000 08:01 854071
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libzip.so
7ffb95463000-7ffb95466000 rwxp 00010000 08:01 854071
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libzip.so
7ffb95466000-7ffb95467000 rwxp 7ffb95466000 00:00 0
7ffb95467000-7ffb95490000 r-xp 00000000 08:01 854075
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libjava.so
7ffb95490000-7ffb9558f000 ---p 00029000 08:01 854075
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libjava.so
7ffb9558f000-7ffb95596000 rwxp 00028000 08:01 854075
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libjava.so
7ffb95596000-7ffb955a3000 r-xp 00000000 08:01 854078
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libverify.so
7ffb955a3000-7ffb956a2000 ---p 0000d000 08:01 854078
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libverify.so
7ffb956a2000-7ffb956a5000 rwxp 0000c000 08:01 854078
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/libverify.so
7ffb956a5000-7ffb956b0000 r-xp 00000000 08:01 429390
/lib/libnss_files-2.9.so
7ffb956b0000-7ffb958af000 ---p 0000b000 08:01 429390
/lib/libnss_files-2.9.so
7ffb958af000-7ffb958b0000 r-xp 0000a000 08:01 429390
/lib/libnss_files-2.9.so
7ffb958b0000-7ffb958b1000 rwxp 0000b000 08:01 429390
/lib/libnss_files-2.9.so
7ffb958b1000-7ffb958bb000 r-xp 00000000 08:01 429409
/lib/libnss_nis-2.9.so
7ffb958bb000-7ffb95aba000 ---p 0000a000 08:01 429409
/lib/libnss_nis-2.9.so
7ffb95aba000-7ffb95abb000 r-xp 00009000 08:01 429409
/lib/libnss_nis-2.9.so
7ffb95abb000-7ffb95abc000 rwxp 0000a000 08:01 429409
/lib/libnss_nis-2.9.so
7ffb95abc000-7ffb95ac3000 r-xp 00000000 08:01 429407
/lib/libnss_compat-2.9.so
7ffb95ac3000-7ffb95cc2000 ---p 00007000 08:01 429407
/lib/libnss_compat-2.9.so
7ffb95cc2000-7ffb95cc3000 r-xp 00006000 08:01 429407
/lib/libnss_compat-2.9.so
7ffb95cc3000-7ffb95cc4000 rwxp 00007000 08:01 429407
/lib/libnss_compat-2.9.so
7ffb95cc4000-7ffb95cd9000 r-xp 00000000 08:01 429410
/lib/libnsl-2.9.so
7ffb95cd9000-7ffb95ed8000 ---p 00015000 08:01 429410
/lib/libnsl-2.9.so
7ffb95ed8000-7ffb95ed9000 r-xp 00014000 08:01 429410
/lib/libnsl-2.9.so
7ffb95ed9000-7ffb95eda000 rwxp 00015000 08:01 429410
/lib/libnsl-2.9.so
7ffb95eda000-7ffb95edc000 rwxp 7ffb95eda000 00:00 0
7ffb95edc000-7ffb95ee3000 r-xp 00000000 08:01 854061
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/native_threads/libhpi.so
7ffb95ee3000-7ffb95fe4000 ---p 00007000 08:01 854061
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/native_threads/libhpi.so
7ffb95fe4000-7ffb95fe6000 rwxp 00008000 08:01 854061
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/native_threads/libhpi.so
7ffb95fe6000-7ffb95fe7000 rwxp 7ffb95fe6000 00:00 0
7ffb95fe7000-7ffb95fee000 r-xp 00000000 08:01 429403
/lib/librt-2.9.so
7ffb95fee000-7ffb961ed000 ---p 00007000 08:01 429403
/lib/librt-2.9.so
7ffb961ed000-7ffb961ee000 r-xp 00006000 08:01 429403
/lib/librt-2.9.so
7ffb961ee000-7ffb961ef000 rwxp 00007000 08:01 429403
/lib/librt-2.9.so
7ffb961ef000-7ffb961f2000 ---p 7ffb961ef000 00:00 0
7ffb961f2000-7ffb962f0000 rwxp 7ffb961f2000 00:00 0
7ffb962f0000-7ffb96372000 r-xp 00000000 08:01 429396
/lib/libm-2.9.so
7ffb96372000-7ffb96571000 ---p 00082000 08:01 429396
/lib/libm-2.9.so
7ffb96571000-7ffb96572000 r-xp 00081000 08:01 429396
/lib/libm-2.9.so
7ffb96572000-7ffb96573000 rwxp 00082000 08:01 429396
/lib/libm-2.9.so
7ffb96573000-7ffb96c00000 r-xp 00000000 08:01 854064
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/server/libjvm.so
7ffb96c00000-7ffb96cff000 ---p 0068d000 08:01 854064
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/server/libjvm.so
7ffb96cff000-7ffb96e50000 rwxp 0068c000 08:01 854064
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/server/libjvm.so
7ffb96e50000-7ffb96e8d000 rwxp 7ffb96e50000 00:00 0
7ffb96e8d000-7ffb96fd6000 r-xp 00000000 08:01 429399
/lib/libc-2.9.so
7ffb96fd6000-7ffb971d6000 ---p 00149000 08:01 429399
/lib/libc-2.9.so
7ffb971d6000-7ffb971da000 r-xp 00149000 08:01 429399
/lib/libc-2.9.so
7ffb971da000-7ffb971db000 rwxp 0014d000 08:01 429399
/lib/libc-2.9.so
7ffb971db000-7ffb971e0000 rwxp 7ffb971db000 00:00 0
7ffb971e0000-7ffb971e2000 r-xp 00000000 08:01 429404
/lib/libdl-2.9.so
7ffb971e2000-7ffb973e2000 ---p 00002000 08:01 429404
/lib/libdl-2.9.so
7ffb973e2000-7ffb973e3000 r-xp 00002000 08:01 429404
/lib/libdl-2.9.so
7ffb973e3000-7ffb973e4000 rwxp 00003000 08:01 429404
/lib/libdl-2.9.so
7ffb973e4000-7ffb973fa000 r-xp 00000000 08:01 429392
/lib/libpthread-2.9.so
7ffb973fa000-7ffb975f9000 ---p 00016000 08:01 429392
/lib/libpthread-2.9.so
7ffb975f9000-7ffb975fa000 r-xp 00015000 08:01 429392
/lib/libpthread-2.9.so
7ffb975fa000-7ffb975fb000 rwxp 00016000 08:01 429392
/lib/libpthread-2.9.so
7ffb975fb000-7ffb975ff000 rwxp 7ffb975fb000 00:00 0
7ffb975ff000-7ffb9761c000 r-xp 00000000 08:01 429398
/lib/ld-2.9.so
7ffb9761c000-7ffb9761e000 r-xs 00000000 08:02 310124
/var/cache/fontconfig/ddd4086aec35a5275babba44bb759c3c-x86-64.cache-2
7ffb9761e000-7ffb9761f000 r-xs 00000000 08:02 310138
/var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86-64.cache-2
7ffb9761f000-7ffb97621000 r-xs 00000000 08:02 310121
/var/cache/fontconfig/2c5ba8142dffc8bf0377700342b8ca1a-x86-64.cache-2
7ffb97621000-7ffb97623000 r-xs 00000000 08:02 311264
/var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86-64.cache-2
7ffb97623000-7ffb97629000 r-xs 00000000 08:02 310116
/var/cache/fontconfig/105b9c7e6f0a4f82d8c9b6e39c52c6f9-x86-64.cache-2
7ffb97629000-7ffb9762d000 r-xs 00000000 08:02 310154
/var/cache/fontconfig/6386b86020ecc1ef9690bb720a13964f-x86-64.cache-2
7ffb9762d000-7ffb97634000 r-xs 00000000 08:02 310351
/var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86-64.cache-2
7ffb97634000-7ffb9763e000 r-xs 00000000 08:02 311338
/var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86-64.cache-2
7ffb9763e000-7ffb97641000 r-xs 00000000 08:02 311289
/var/cache/fontconfig/7ef2298fde41cc6eeb7af42e48b7d293-x86-64.cache-2
7ffb97641000-7ffb9764b000 rwxp 7ffb97641000 00:00 0
7ffb9764b000-7ffb97701000 rwxp 7ffb9764b000 00:00 0
7ffb97701000-7ffb97709000 rwxs 00000000 00:11 262919
/tmp/hsperfdata_maran/15144
7ffb97709000-7ffb9770a000 rwxp 7ffb97709000 00:00 0
7ffb9770a000-7ffb9770b000 r-xp 7ffb9770a000 00:00 0
7ffb9770b000-7ffb9770d000 rwxp 7ffb9770b000 00:00 0
7ffb9770d000-7ffb97714000 r-xp 00000000 08:01 854105
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/jli/libjli.so
7ffb97714000-7ffb97815000 ---p 00007000 08:01 854105
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/jli/libjli.so
7ffb97815000-7ffb97817000 rwxp 00008000 08:01 854105
/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/jli/libjli.so
7ffb97817000-7ffb9781b000 rwxp 7ffb97817000 00:00 0
7ffb9781b000-7ffb9781c000 r-xp 0001c000 08:01 429398
/lib/ld-2.9.so
7ffb9781c000-7ffb9781d000 rwxp 0001d000 08:01 429398
/lib/ld-2.9.so
7fff9f808000-7fff9f81d000 rwxp 7ffffffea000 00:00 0
[stack]
7fff9f9ff000-7fff9fa00000 r-xp 7fff9f9ff000 00:00 0
[vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0
[vsyscall]

VM Arguments:
java_command: processing.app.Base
Launcher Type: SUN_STANDARD

Environment Variables:
JAVA_HOME=
CLASSPATH=java/lib/rt.jar:lib:lib/build:lib/pde.jar:lib/core.jar:lib/antlr.jar:lib/oro.jar:lib/registry.jar:lib/mrj.jar:lib/RXTXcomm.jar
PATH=/usr/local/lib/arduino-0015/tools:/usr/local/bin:/usr/bin:/bin:/usr/games
LD_LIBRARY_PATH=/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64/server:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/lib/amd64:/usr/lib/jvm/java-6-sun-1.6.0.13/jre/../lib/amd64:/usr/local/lib/arduino-0015/lib:/lib:/usr/lib:/usr/local/lib
SHELL=/bin/bash
DISPLAY=:0.0

Signal Handlers:
SIGSEGV: [libjvm.so+0x5fcd20], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGBUS: [libjvm.so+0x5fcd20], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGFPE: [libjvm.so+0x4e0eb0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGPIPE: [libjvm.so+0x4e0eb0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGXFSZ: [libjvm.so+0x4e0eb0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGILL: [libjvm.so+0x4e0eb0], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGUSR1: SIG_DFL, sa_mask[0]=0x00000000, sa_flags=0x00000000
SIGUSR2: [libjvm.so+0x4e35d0], sa_mask[0]=0x00000000, sa_flags=0x10000004
SIGHUP: [libjvm.so+0x4e3320], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGINT: [libjvm.so+0x4e3320], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGTERM: [libjvm.so+0x4e3320], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004
SIGQUIT: [libjvm.so+0x4e3320], sa_mask[0]=0x7ffbfeff, sa_flags=0x10000004


---------------  S Y S T E M  ---------------

OS:squeeze/sid

uname:Linux 2.6.26-1-amd64 #1 SMP Fri Mar 13 17:46:45 UTC 2009 x86_64
libc:glibc 2.9 NPTL 2.9
rlimit: STACK 8192k, CORE 0k, NPROC infinity, NOFILE 1024, AS infinity
load average:1.49 1.09 0.73

CPU:total 2 (2 cores per cpu, 1 threads per core) family 6 model 15 stepping
2, cmov, cx8, fxsr, mmx, sse, sse2, sse3, ssse3

Memory: 4k page, physical 3731732k(1221820k free), swap 1052216k(1052216k
free)

vm_info: Java HotSpot(TM) 64-Bit Server VM (11.3-b02) for linux-amd64 JRE
(1.6.0_13-b03), built on Mar  9 2009 11:08:22 by "java_re" with gcc 3.2.2
(SuSE Linux)

time: Wed Apr  8 19:43:24 2009
elapsed time: 24 seconds
[Message part 2 (text/html, inline)]

Severity set to 'grave' from 'normal' Request was from mike castleman <m@mlcastle.net> to control@bugs.debian.org. (Tue, 27 Oct 2009 06:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#523139; Package librxtx-java. (Mon, 07 Dec 2009 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Zimmermann <nussgipfel@gmx.ch>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Mon, 07 Dec 2009 21:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 523139@bugs.debian.org (full text, mbox):

From: Christoph Zimmermann <nussgipfel@gmx.ch>
To: 523139@bugs.debian.org
Subject: Re: JVM crash
Date: Mon, 7 Dec 2009 22:23:50 +0100
this is a copy of bug nr. 489701

I had the same problem with the RXTX library. I send here the same
solution as I sent to the older bug because I didn't got any response.

Start weitergeleitete Nachricht:

Datum: Fri, 20 Nov 2009 17:56:31 +0100
Von: Christoph Zimmermann <nussgipfel@gmx.ch>
An: 489701@bugs.debian.org
Betreff: librxtx-java: does not work, UnsatisfiedLinkError and
NoClassDefFoundError


small update to the stuff I wrote yesterday:

some simple java test programm using the RXTX library are working when
I install the library manualy (as descriped in my last post).

but the application I was interested in was crashing everytime at the
same position.
(Sump Logic Analyzer Client
http://www.sump.org/projects/analyzer/client/?#comment)

today I tried to install the newer version of the RXTX library,
version rxtx-2.2pre2, getting the same compile errors as from the
latest stable library (the base for the current debian package). 

So I tried to apply the patch from the stable version to the new
2.2pre2 and it worked well. some stuff applied not well but I was able
to compile and install the new version without errors.

Now the Sump Logic Analyzer WORKS! No crashes anymore.

I suggest to update the the library in debian SID to the version
2.2pre2.

output of patch:

rxtx-2.2pre2$ patch -p1 < ../rxtx_2.1.7r2-4.diff patching file
Makefile.in Hunk #1 succeeded at 609 with fuzz 2 (offset 53
lines). Hunk #2 succeeded at 626 (offset 53
lines). patching file
configure Hunk #1 succeeded at 22093 (offset 592
lines). Hunk #2 succeeded at 22105 (offset 592
lines). Hunk #3 FAILED at
22133. Hunk #4 FAILED at
22203. Hunk #5 FAILED at
22339. Hunk #6 FAILED at
22391. 4 out of 6 hunks FAILED -- saving rejects to file
configure.rej patching file
debian/changelog patching file
debian/control patching file
debian/copyright patching file
debian/rules patching file
debian/README.Debian patching file
debian/librxtx-java.dirs patching file
debian/librxtx-java.docs patching file
debian/compat patching file
src/SerialImp.cpp Hunk #1 succeeded at 142 (offset 39
lines). Hunk #2 succeeded at 154 (offset 39
lines). patching file
src/I2CImp.c Hunk #1 succeeded at 61 (offset 39
lines). Hunk #2 succeeded at 127 (offset 39
lines). Hunk #3 succeeded at 138 (offset 39
lines). patching file
src/ParallelImp.c Hunk #1 FAILED at
38. 1 out of 1 hunk FAILED -- saving rejects to file
src/ParallelImp.c.rej patching file
src/RS485Imp.c Hunk #1 succeeded at 61 (offset 39
lines). Hunk #2 succeeded at 127 (offset 39
lines). Hunk #3 succeeded at 138 (offset 39
lines). patching file
src/RawImp.c Hunk #1 succeeded at 69 (offset 38
lines). Hunk #2 succeeded at 272 (offset 40
lines). Hunk #3 succeeded at 283 (offset 40
lines). patching file
src/SerialImp.c Hunk #1 succeeded at 66 (offset 39
lines). Hunk #2 succeeded at 320 (offset 39
lines). Hunk #3 succeeded at 334 (offset 39 lines). 




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#523139; Package librxtx-java. (Tue, 22 Dec 2009 11:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Zimmermann <christoph@bigbeat.ch>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Tue, 22 Dec 2009 11:45:08 GMT) Full text and rfc822 format available.

Message #17 received at 523139@bugs.debian.org (full text, mbox):

From: Christoph Zimmermann <christoph@bigbeat.ch>
To: 489701@bugs.debian.org, 523139@bugs.debian.org, owner@bugs.debian.org
Subject: librxtx-java is not fixed for long time
Date: Tue, 22 Dec 2009 12:35:15 +0100
the reported bugs are older than a year and it seems to me that these
errors also occour in debian stable.

the solution to this two bugs is posted and nothing happend. so, in my
opinion, i would suggest these packet to be opend for adoption.




Information forwarded to debian-bugs-dist@lists.debian.org, Mario Joussen <joussen@debian.org>:
Bug#523139; Package librxtx-java. (Fri, 25 Dec 2009 08:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Joußen <joussen@debian.org>:
Extra info received and forwarded to list. Copy sent to Mario Joussen <joussen@debian.org>. (Fri, 25 Dec 2009 08:36:05 GMT) Full text and rfc822 format available.

Message #22 received at 523139@bugs.debian.org (full text, mbox):

From: Mario Joußen <joussen@debian.org>
To: Christoph Zimmermann <christoph@bigbeat.ch>, 489701@bugs.debian.org, 523139@bugs.debian.org
Subject: Re: Bug#489701: librxtx-java is not fixed for long time
Date: Fri, 25 Dec 2009 09:20:59 +0100
Christoph Zimmermann schrieb:
> the reported bugs are older than a year and it seems to me that these
> errors also occour in debian stable.
> 
> the solution to this two bugs is posted and nothing happend. so, in my
> opinion, i would suggest these packet to be opend for adoption.

There are two reasons, why this bug was not fixed already. One is that I
currently don't have any time to work on it and the other one is that I
don't have a PC with a serial port anymore.
If someone is willing to take over this package, feel free to do it.

Happy Christmas, Mario




Added tag(s) help. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 13 Apr 2010 18:15:02 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard314@gmail.com>:
You have taken responsibility. (Tue, 08 Jun 2010 22:06:08 GMT) Full text and rfc822 format available.

Notification sent to Marcus Andersson <kamratpost@gmail.com>:
Bug acknowledged by developer. (Tue, 08 Jun 2010 22:06:08 GMT) Full text and rfc822 format available.

Message #29 received at 523139-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 523139-close@bugs.debian.org
Subject: Bug#523139: fixed in rxtx 2.2pre2-1
Date: Tue, 08 Jun 2010 22:04:02 +0000
Source: rxtx
Source-Version: 2.2pre2-1

We believe that the bug you reported is fixed in the latest version of
rxtx, which is due to be installed in the Debian FTP archive:

librxtx-java_2.2pre2-1_i386.deb
  to main/r/rxtx/librxtx-java_2.2pre2-1_i386.deb
rxtx_2.2pre2-1.debian.tar.gz
  to main/r/rxtx/rxtx_2.2pre2-1.debian.tar.gz
rxtx_2.2pre2-1.dsc
  to main/r/rxtx/rxtx_2.2pre2-1.dsc
rxtx_2.2pre2.orig.tar.gz
  to main/r/rxtx/rxtx_2.2pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523139@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard314@gmail.com> (supplier of updated rxtx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Jun 2010 23:19:16 -0400
Source: rxtx
Binary: librxtx-java
Architecture: source i386
Version: 2.2pre2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Scott Howard <showard314@gmail.com>
Description: 
 librxtx-java - Full Java CommAPI implementation
Closes: 489701 523139 574395
Changes: 
 rxtx (2.2pre2-1) unstable; urgency=low
 .
   * New upstream release:
     - Fixes JVM crash and UnsatisfiedLinkError/NoClassDefFoundError
       (Closes: #523139) (Closes: #489701)
     - Fixes amd64 support (Closes: #574395)
   * Added debian/watch file
   * Switched to source format 3.0 (quilt)
     - moved debian changes into patch in debian/patches
   * Changed rules to use dh
   * Fixed multiple lintian errors and multiple warnings
     - Policy version 3.8.4
   * Section moved to java from libs
   * Moved to team maintenance: Maintainer: Debian Java maintainers
     - Mario and I moved to uploaders
   * DM Uploads Allowed: yes
   * Build depends on javahelper
     - Binary depends on ${java:Depends}, use jh_installlibs for versioned
       install
     - Versioned naming of RXTXcomm.jar (Debian java policy)
   * Added VCS tags to debian/control
   * Libs now install in /usr/lib/jni instead of /usr/lib
   * Added doc-base file
Checksums-Sha1: 
 00c66420a76b6dc1acc37f79c6119a1054c1d852 1298 rxtx_2.2pre2-1.dsc
 b6148ee4ed2302c79810c0711c2405010294dfa7 1283425 rxtx_2.2pre2.orig.tar.gz
 9a6b7e5ccf455f7a157baf8d9cc779da740ef0fe 10153 rxtx_2.2pre2-1.debian.tar.gz
 6566635a3ebdd110b7b24e9e91dc407f964ab9ad 140300 librxtx-java_2.2pre2-1_i386.deb
Checksums-Sha256: 
 859b65f58cfd46dcff2343b7ee5003bd44a0fa6de75df92ae339bc11c80eaf9a 1298 rxtx_2.2pre2-1.dsc
 c58c63ee700992f25892096ebd28bf5e62f828e2ec60c72041c44a98df2f5ef0 1283425 rxtx_2.2pre2.orig.tar.gz
 91656b30b468721f1d747fec30e05226ca32876ba99bbaa973aea23fc828ddb2 10153 rxtx_2.2pre2-1.debian.tar.gz
 4ae0cf97b45e8315aa5464488a380a1b289b6c59b3f6f4c0cb14e8f4ab85a63b 140300 librxtx-java_2.2pre2-1_i386.deb
Files: 
 b0e8c096acc5798e06a2655d88cd9852 1298 java optional rxtx_2.2pre2-1.dsc
 1aaeaa8525ff0eaada01685b857a1910 1283425 java optional rxtx_2.2pre2.orig.tar.gz
 88ecfc4f0b34ec81db290f449e21759d 10153 java optional rxtx_2.2pre2-1.debian.tar.gz
 48e9aa3b3c8a7091d9c39a8cf13de859 140300 java optional librxtx-java_2.2pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwOt6gACgkQfY3dicTPjsMsGwCfbOfI9NIs/PiVvdUk9XfPMAdb
QRYAnjxgomLTtdVME1U7i10HU0G4f+Gy
=JCMg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:46:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:56:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.